Loading...
Searching...
No Matches
buffer_reader.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/buffer.h>`
`#include <gnuradio/logger.h>`
`#include <gnuradio/runtime_types.h>`
`#include <gnuradio/tags.h>`
`#include <gnuradio/thread/thread.h>`
`#include <memory>`
Include dependency graph for buffer_reader.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::buffer_reader
| How we keep track of the readers of a gr::buffer. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Functions

GR_RUNTIME_API buffer_reader_sptr | gr::buffer_add_reader (buffer_sptr buf, int nzero_preload, block_sptr link=block_sptr(), int delay=0)
| Create a new gr::buffer_reader and attach it to buffer `buf`.
GR_RUNTIME_API long | gr::buffer_ncurrently_allocated ()
| returns # of buffers currently allocated
GR_RUNTIME_API long | gr::buffer_reader_ncurrently_allocated ()
| returns # of buffer_readers currently allocated